VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ITimingFunction Class Referenceabstract
New classes » Version 4.0

Animation timing function interface. More...

`#include <itimingfunction.h>`

Inheritance diagram for ITimingFunction:

## Public Member Functions
virtual | ~ITimingFunction () noexcept=default
virtual float | getPosition (uint32_t milliseconds)=0
virtual bool | isDone (uint32_t milliseconds)=0

## Detailed Description

Animation timing function interface.

## Constructor & Destructor Documentation

## ◆ ~ITimingFunction()

virtual ~ITimingFunction | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

## ◆ getPosition()

virtual float getPosition | ( | uint32_t | milliseconds | ) |
| pure virtual

Implemented in CubicBezierTimingFunction, InterpolationTimingFunction, LinearTimingFunction, PowerTimingFunction, and RepeatTimingFunction.

## ◆ isDone()

virtual bool isDone | ( | uint32_t | milliseconds | ) |
| pure virtual

Implemented in RepeatTimingFunction, and TimingFunctionBase.

The documentation for this class was generated from the following file:

- itimingfunction.h